﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class DataSetCommandBase : CommandBase {
    private DataSetCommandBase() {
    }

    protected DataSetCommandBase(DataSet dataSet) {
      this.dataset = dataSet;
    }

    private DataSet dataset;
    public virtual DataSet DataSet {
      get { return this.dataset; }
      set { this.dataset = value; }
    }

    public override void Execute() {
    }

    public override void UndoExecute() {
    }
  }
}
