﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.DataImporter.Data.Model;

namespace HeuristicLab.DataImporter.DataProcessor {
  public interface IImporter {
    string Description { get; }
    UserControl SettingsControl { get; }
    ICommand CreateImportCommand(DataSet dataSet);    
  }
}
