﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using HeuristicLab.DataImporter.DataProcessor;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.DataImporter.Data.CommandBase;

namespace HeuristicLab.DataImporter.Backend.Hl2ImporterFormat {
  public class Hl2Importer : IImporter{

    public string Description {
      get { return "Import HL2 file"; }
    }

    Hl2ImporterView view;
    public System.Windows.Forms.UserControl SettingsControl {
      get {
        if (view == null)
          view = new Hl2ImporterView();
        return view;
      }
    }

    public ICommand CreateImportCommand(DataSet dataSet) {
      Hl2ImporterCommand cmd = new Hl2ImporterCommand(dataSet);
      cmd.FileName = view.FileName;
      return cmd;
    }
  }
}
