﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Backend.Hl2ImporterFormat {
  public partial class Hl2ImporterView : UserControl {
    private OpenFileDialog openFileDialog;
    public Hl2ImporterView() {
      InitializeComponent();
      this.openFileDialog = new OpenFileDialog();
      openFileDialog.AddExtension = true;
      openFileDialog.RestoreDirectory = true;
      openFileDialog.DefaultExt = "hl2";
      openFileDialog.Filter = "HL2-Importer file (*.hl2)|*.hl2|All files (*.*)|*.*";
    }

    public string FileName {
      get { return txtFileName.Text; }
    }

    private void btnBrowse_Click(object sender, EventArgs e) {
      if (openFileDialog.ShowDialog() == DialogResult.OK) {
        this.txtFileName.Text = openFileDialog.FileName;
      }
    }
  }
}
