﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class ColumnGroupCommandWithAffectedColumnsBase : ColumnGroupCommandBase {
    private ColumnGroupCommandWithAffectedColumnsBase()
      : base(null,string.Empty) {
    }

    protected ColumnGroupCommandWithAffectedColumnsBase(DataSet dataSet, string columnGroupName, int[] affectedColumns)
      : base(dataSet, columnGroupName) {
      this.affectedColumns = affectedColumns;
    }

    [Storable]
    private int[] affectedColumns;
    protected int[] AffectedColumns {
      get { return this.affectedColumns; }
    }
  }
}
