﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class CommandBase : ICommand {
    protected CommandBase() { }

    public abstract void Execute();
    public abstract void UndoExecute();
    public abstract string Description { get; }
  }
}
