﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  public class CommandExecutionException : Exception {

    public CommandExecutionException(string message, ICommand command)
      : base(message) {
      this.command = command;
    }

    public CommandExecutionException(string message, Exception innerException, ICommand command)
      : base(message, innerException) {
      this.command = command;
    }

    private ICommand command;
    public ICommand Command {
      get {return command;}
    }
  }
}
