﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.Data.CommandBase {
  [StorableClass]
  public abstract class DataSetCommandWithAffectedColumnGroupsBase : DataSetCommandBase {
    private DataSetCommandWithAffectedColumnGroupsBase()
      : base(null) {
    }

    protected DataSetCommandWithAffectedColumnGroupsBase(DataSet dataSet, List<string> affectedColumnGroupNames)
      : base(dataSet) {
      this.affectedColumnGroupNames = affectedColumnGroupNames;
    }

    [Storable]
    private List<string> affectedColumnGroupNames;
    protected List<string> AffectedColumnGroupNames {
      get { return this.affectedColumnGroupNames; }
    }
  }
}
